apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: {{ "%s-%s" | format(rook_cluster_name, item.name) | to_json }}
provisioner: {{ "%s.rbd.csi.ceph.com" | format(rook_namespace) | to_json }}
parameters:
  clusterID: {{ rook_cluster_name | to_json }}
  pool: {{ item.name | to_json }}

  # RBD image features. Available for imageFormat: "2". CSI RBD currently supports only `layering` feature.
  imageFeatures: layering

  # The secrets contain Ceph admin credentials.
  csi.storage.k8s.io/provisioner-secret-name: rook-csi-rbd-provisioner
  csi.storage.k8s.io/provisioner-secret-namespace: rook-ceph
  csi.storage.k8s.io/node-stage-secret-name: rook-csi-rbd-node
  csi.storage.k8s.io/node-stage-secret-namespace: rook-ceph

# Delete the rbd volume when a PVC is deleted
reclaimPolicy: Delete
